VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Authentication::ComponentData Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Authentication::ComponentData:

## Avaliable Methods
public method | get_info ()
public method | get_fingerprint ()
public method | set_fingerprint ()
public method | set_info ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Authentication::ComponentData` class contains the authentication information of the component along with its fingerprint.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Authentication::ComponentData::get_fingerprint | ( |  | ) |

Gets the value of 'fingerprint' property.

Return values

  fingerprint | - The current value of the field. Fingerprint of the metadata of the component.

Authentication information could change when there is an infrastructure update. Since the data present in :attr:`Com::Vmware::Vapi::Metadata::Authentication::ComponentData.info` could be quite large, `fingerprint` provides a convenient way to check if the data for a particular component is updated.

You should store the fingerprint associated with a component. After an update, by invoking the :func:`Com::Vmware::Vapi::Metadata::Authentication::Component.fingerprint` method , you can retrieve the new fingerprint for the component. If the new fingerprint and the previously stored fingerprint do not match, clients can then use the :func:`Com::Vmware::Vapi::Metadata::Authentication::Component.get` to retrieve the new authentication information for the component.

String#

Code:
click to view
# Number of lines of code in get_fingerprint: 5
sub get_fingerprint {
my ($self, %args) = @_;
return $self->{'fingerprint'};
}

public method Com::Vmware::Vapi::Metadata::Authentication::ComponentData::get_info | ( |  | ) |

Gets the value of 'info' property.

Return values

  info | - The current value of the field. Authentication information of the component. This includes information about all the packages* in the component. ComponentInfo#

Code:
click to view
# Number of lines of code in get_info: 5
sub get_info {
my ($self, %args) = @_;
return $self->{'info'};
}

public method Com::Vmware::Vapi::Metadata::Authentication::ComponentData::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Authentication::ComponentData structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 19
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{info} = $args{'info'};
$self->{fingerprint} = $args{'fingerprint'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Authentication::ComponentData');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.authentication.component_data');
$self->set_binding_field('key' => 'info', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Authentication', 'type_name' => 'ComponentInfo'));
$self->set_binding_field('key' => 'fingerprint', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Authentication::ComponentData::set_fingerprint | ( |  | ) |

Sets the given value for 'fingerprint' property.

Parameters

  fingerprint | - New value for the field. Fingerprint of the metadata of the component.

Authentication information could change when there is an infrastructure update. Since the data present in :attr:`Com::Vmware::Vapi::Metadata::Authentication::ComponentData.info` could be quite large, `fingerprint` provides a convenient way to check if the data for a particular component is updated.

You should store the fingerprint associated with a component. After an update, by invoking the :func:`Com::Vmware::Vapi::Metadata::Authentication::Component.fingerprint` method , you can retrieve the new fingerprint for the component. If the new fingerprint and the previously stored fingerprint do not match, clients can then use the :func:`Com::Vmware::Vapi::Metadata::Authentication::Component.get` to retrieve the new authentication information for the component.

Code:
click to view
# Number of lines of code in set_fingerprint: 10
sub set_fingerprint {
my ($self, %args) = @_;
$self->{'fingerprint'} = $args{'fingerprint'};
return;
}
1;

public method Com::Vmware::Vapi::Metadata::Authentication::ComponentData::set_info | ( |  | ) |

Sets the given value for 'info' property.

Parameters

  info | - New value for the field. Authentication information of the component. This includes information about all the packages* in the component.

Code:
click to view
# Number of lines of code in set_info: 6
sub set_info {
my ($self, %args) = @_;
$self->{'info'} = $args{'info'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Authentication/ComponentData.pm